From 379958b70e0fa72e496f572173efc363278d2160 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sat, 28 Apr 2012 22:47:59 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |    7 -----
 debian/changelog                                   |    9 +++++++
 debian/clean                                       |    6 +++++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 +--
 debian/patches/00list                              |    4 ---
 ...dpatch => 10-Makefile-install-target-fix.patch} |    8 ++----
 debian/patches/20-Makefile-clean-target-fix.patch  |   26 +++++++++++++++++++
 debian/patches/20_Makefile_clean_target_fix.dpatch |   27 --------------------
 ...t.dpatch => 30-Makefile-distclean-target.patch} |    8 ++----
 .../patches/40-Makefile-strip-option-remove.patch  |   18 +++++++++++++
 .../patches/40_Makefile_strip_option_remove.dpatch |   19 --------------
 debian/patches/series                              |    4 +++
 debian/rules                                       |    4 ---
 debian/source/format                               |    1 +
 15 files changed, 71 insertions(+), 76 deletions(-)
 delete mode 100644 debian/README.source
 create mode 100644 debian/clean
 delete mode 100644 debian/patches/00list
 rename debian/patches/{10_Makefile_install_target_fix.dpatch => 10-Makefile-install-target-fix.patch} (81%)
 create mode 100644 debian/patches/20-Makefile-clean-target-fix.patch
 delete mode 100644 debian/patches/20_Makefile_clean_target_fix.dpatch
 rename debian/patches/{30_Makefile_distclean_target.dpatch => 30-Makefile-distclean-target.patch} (62%)
 create mode 100644 debian/patches/40-Makefile-strip-option-remove.patch
 delete mode 100644 debian/patches/40_Makefile_strip_option_remove.dpatch
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index b6de19e..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,7 +0,0 @@
-Building aggregate for Debian
-
-debian patches are generated using dpatch. Refer dpatch documentation for
-using it. dynagen is build using git, git-buildpackage, cdbs, pristine-tar 
-and devscripts.
-
--- Erik Wenzel <erik@debian.org>  Fri Jan 23 01:12:52 CET 2009
diff --git a/debian/changelog b/debian/changelog
index 51bc75f..8507186 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+aggregate (1.6-6.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add debian/clean file.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sat, 28 Apr 2012 22:41:44 +0300
+
 aggregate (1.6-6) unstable; urgency=low
 
   * [fc5c6fb9] [control] bumped standards version: nothing changed
diff --git a/debian/clean b/debian/clean
new file mode 100644
index 0000000..e92288c
--- /dev/null
+++ b/debian/clean
@@ -0,0 +1,6 @@
+*.o
+aggregate
+config.cache
+config.log
+config.status
+Makefile
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 809eebe..92a5606 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: aggregate
 Section: net
 Priority: optional
 Maintainer: Erik Wenzel <erik@debian.org>
-Standards-Version: 3.8.3
-Build-Depends: cdbs (>= 0.4.25), dpatch, debhelper (>= 5.0.37.2)
+Standards-Version: 3.9.3
+Build-Depends: cdbs (>= 0.4.25), debhelper (>= 9)
 Vcs-Git: git://gpl.code.de/git/aggregate
 Vcs-Browser: http://gpl.code.de/gitweb?p=aggregate.git;a=summary
 
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 58024c8..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,4 +0,0 @@
-10_Makefile_install_target_fix
-20_Makefile_clean_target_fix
-30_Makefile_distclean_target
-40_Makefile_strip_option_remove
diff --git a/debian/patches/10_Makefile_install_target_fix.dpatch b/debian/patches/10-Makefile-install-target-fix.patch
similarity index 81%
rename from debian/patches/10_Makefile_install_target_fix.dpatch
rename to debian/patches/10-Makefile-install-target-fix.patch
index be22365..6237c13 100644
--- a/debian/patches/10_Makefile_install_target_fix.dpatch
+++ b/debian/patches/10-Makefile-install-target-fix.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 10_Makefile_install_target_fix.dpatch by  <Erik Wenzel <erik@debian.org>>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Makefile fix install target
+From: <Erik Wenzel <erik@debian.org>>
+Subject: Makefile fix install target
 
-@DPATCH@
 diff -urNad aggregate-1.6~/Makefile.in aggregate-1.6/Makefile.in
 --- aggregate-1.6~/Makefile.in	2007-05-14 10:46:42.000000000 +0000
 +++ aggregate-1.6/Makefile.in	2007-05-14 10:48:02.000000000 +0000
diff --git a/debian/patches/20-Makefile-clean-target-fix.patch b/debian/patches/20-Makefile-clean-target-fix.patch
new file mode 100644
index 0000000..d519a5e
--- /dev/null
+++ b/debian/patches/20-Makefile-clean-target-fix.patch
@@ -0,0 +1,26 @@
+From: <Erik Wenzel <erik@debian.org>>
+Subject: Makefile clean target fix
+
+---
+ Makefile.in |    5 ++---
+ 1 file changed, 2 insertions(+), 3 deletions(-)
+
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -34,14 +34,13 @@
+ 
+ SHELL = /bin/sh
+ 
+-PROGS = aggregate aggregate-ios
++PROGS = aggregate
+ OBJS = aggregate.o
+ 
+ all: $(PROGS)
+ 
+ clean:
+-	xargs rm -f <.cvsignore
+-	rm -f *.o
++	rm -f $(PROGS) $(OBJS)
+ 
+ install: $(PROGS)
+ 	mkdir -p $(PREFIX)/bin/
diff --git a/debian/patches/20_Makefile_clean_target_fix.dpatch b/debian/patches/20_Makefile_clean_target_fix.dpatch
deleted file mode 100644
index 8aa9801..0000000
--- a/debian/patches/20_Makefile_clean_target_fix.dpatch
+++ /dev/null
@@ -1,27 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 20_Makefile_clean_target_fix.dpatch by  <Erik Wenzel <erik@debian.org>>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Makefile clean target fix
-
-@DPATCH@
-diff -urNad aggregate-1.6~/Makefile.in aggregate-1.6/Makefile.in
---- aggregate-1.6~/Makefile.in	2007-05-14 08:16:22.000000000 +0000
-+++ aggregate-1.6/Makefile.in	2007-05-14 08:17:37.000000000 +0000
-@@ -34,14 +34,13 @@
- 
- SHELL = /bin/sh
- 
--PROGS = aggregate aggregate-ios
-+PROGS = aggregate
- OBJS = aggregate.o
- 
- all: $(PROGS)
- 
- clean:
--	xargs rm -f <.cvsignore
--	rm -f *.o
-+	rm -f $(PROGS) $(OBJS)
- 
- install: $(PROGS)
- 	$(INSTALL) -m 0755 aggregate $(PREFIX)/bin/
diff --git a/debian/patches/30_Makefile_distclean_target.dpatch b/debian/patches/30-Makefile-distclean-target.patch
similarity index 62%
rename from debian/patches/30_Makefile_distclean_target.dpatch
rename to debian/patches/30-Makefile-distclean-target.patch
index 7da8814..1c76c25 100644
--- a/debian/patches/30_Makefile_distclean_target.dpatch
+++ b/debian/patches/30-Makefile-distclean-target.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 30_Makefile_distclean_target.dpatch by  <Erik Wenzel <erik@debian.org>>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Makefile.in distclean target
+From: <Erik Wenzel <erik@debian.org>>
+Subject: Makefile.in distclean target
 
-@DPATCH@
 diff -urNad aggregate-1.6~/Makefile.in aggregate-1.6/Makefile.in
 --- aggregate-1.6~/Makefile.in	2007-05-14 11:13:34.000000000 +0000
 +++ aggregate-1.6/Makefile.in	2007-05-14 11:13:52.000000000 +0000
diff --git a/debian/patches/40-Makefile-strip-option-remove.patch b/debian/patches/40-Makefile-strip-option-remove.patch
new file mode 100644
index 0000000..43cfb46
--- /dev/null
+++ b/debian/patches/40-Makefile-strip-option-remove.patch
@@ -0,0 +1,18 @@
+From: <Erik Wenzel <erik@debian.org>>
+Subject: Makefile.in strip option remove from LDFLAGS
+
+---
+ Makefile.in |    2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -26,7 +26,7 @@
+ DEFS = @DEFS@
+ LIBS = @LIBS@
+ CFLAGS = -O
+-LDFLAGS = -s
++LDFLAGS =
+ prefix = @prefix@
+ DESTDIR = 
+ PREFIX   = $(DESTDIR)$(prefix)
diff --git a/debian/patches/40_Makefile_strip_option_remove.dpatch b/debian/patches/40_Makefile_strip_option_remove.dpatch
deleted file mode 100644
index 8bb23bc..0000000
--- a/debian/patches/40_Makefile_strip_option_remove.dpatch
+++ /dev/null
@@ -1,19 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 40_Makefile_strip_option_remove.dpatch by  <Erik Wenzel <erik@debian.org>>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Makefile.in strip option remove from LDFLAGS
-
-@DPATCH@
-diff -urNad aggregate-1.6~/Makefile.in aggregate-1.6/Makefile.in
---- aggregate-1.6~/Makefile.in	2007-08-22 11:09:27.000000000 +0000
-+++ aggregate-1.6/Makefile.in	2007-08-22 11:28:47.000000000 +0000
-@@ -26,7 +26,7 @@
- DEFS = @DEFS@
- LIBS = @LIBS@
- CFLAGS = -O
--LDFLAGS = -s
-+LDFLAGS =
- prefix = @prefix@
- 
- SHELL = /bin/sh
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..8a052f6
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,4 @@
+10-Makefile-install-target-fix.patch
+20-Makefile-clean-target-fix.patch
+30-Makefile-distclean-target.patch
+40-Makefile-strip-option-remove.patch
diff --git a/debian/rules b/debian/rules
index 28cb08c..690a207 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/dpatch.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
@@ -15,6 +14,3 @@ ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	LDFLAGS += -s
 endif
 
-clean::
-	chmod a-x debian/patches/*.dpatch
-
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.10

